%{!?python3_pkgversion:%global python3_pkgversion 3}

# EL7 does not have a new enough python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 0
%else
%global with_python2 1
%endif


%global pypi_name simplepath
%global sum A python library for data-structure lookup

Name:           python-%{pypi_name}
Version:        0.3.4
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/6f/51/1a5e3d68f83b19716292f450cbe6666134ee750c53a1f51579a45dab9c66/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  python-six
BuildRequires:  python-setuptools
%endif
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Simplepath is a library for data-structure lookup using simple expressions.

%if 0%{?with_python2}
%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Simplepath is a library for data-structure lookup using simple expressions.
%endif

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Simplepath is a library for data-structure lookup using simple expressions.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%py3_build

%install
%if 0%{?with_python2}
%py2_install
rm -fr %{buildroot}%{python2_sitelib}/tests
%endif
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests

%if 0%{?with_python2}
%files -n python-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.3.4-2
- Rebuilt to change main python from 3.4 to 3.6

* Mon Jul 31 2017 Sundeep Anand <suanand@redhat.com> - 0.3.4-1
- Version Update.

* Sun Jul 17 2016 Sundeep Anand <suanand@redhat.com> - 0.3.3-1
- Version Update.

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.3.2-2
- Removed tests directory.

* Mon Jan 18 2016 Sundeep Anand <suanand@redhat.com> - 0.3.2-1
- Initial RPM Package.
